## Class Swift_Events_CommandEvent

(line 20)

## Description

    Swift_Events_EventObject
       |
       --Swift_Events_CommandEvent

Located in File: /vendors/swiftMailer/classes/Swift/Events/CommandEvent.php

##### Generated when a command is sent over an SMTP connection.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Events_CommandEvent __construct (Swift_Transport $source, string $command, [array $successCodes = array()])
string getCommand ()
int[] getSuccessCodes ()

#### Constructor __construct (line 41)

#### Swift_Events_CommandEvent __construct( Swift_Transport $source, string $command, [array $successCodes = array()])

Overrides : Swift_Events_EventObject::__construct() Create a new EventObject originating at $source.

##### Create a new CommandEvent for $source with $command.

#### Parameters

- Swift_Transport $source:
- string $command:
- array $successCodes:

#### Info

- access - public

#### Method getCommand (line 53)

#### string getCommand( )

##### Get the command which was sent to the server.

#### Info

- access - public

#### Method getSuccessCodes (line 62)

#### int[] getSuccessCodes( )

##### Get the numeric response codes which indicate success for this command.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Events_EventObject

#### Swift_Events_EventObject::__construct() - Create a new EventObject originating at $source.

#### Swift_Events_EventObject::bubbleCancelled() - Returns true if this Event will not bubble any further up the stack.

#### Swift_Events_EventObject::cancelBubble() - Prevent this Event from bubbling any further up the stack.

#### Swift_Events_EventObject::getSource() - Get the source object of this event.

Documentation generated on Fri, 12 Nov 2010 20:45:17 +0000 by phpDocumentor 1.4.3